%global momorel 1
Summary: GNOME PostScript viewer
Name: ggv

Version: 2.8.1
Release: %{momorel}m
Group: Applications/Publishing
License: GPL
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 d2d9d41544541664d71cad9a97994747

Patch0: ggv-2.4.0.2-cancel-scrollkeeper-update.patch
Patch3: ggv-2.8.1-accel-key.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel >= 2.8.0

Prereq: scrollkeeper
Prereq: GConf
Prereq: desktop-file-utils >= 0.10

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%prep
%setup -q
%patch0 -p1
%patch3 -p1

%build
libtoolize -c -f
aclocal-1.6
automake-1.6 -f -a -c
autoconf
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/ggv.schemas > /dev/null
scrollkeeper-update

%preun
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/ggv.schemas > /dev/null

%postun
/sbin/ldconfig
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/ggv*
%{_libdir}/bonobo/servers/GNOME_GGV.server
%{_datadir}/idl/Ggv.idl
%doc %{_datadir}/omf/ggv
%{_datadir}/gnome-2.0/ui/*.xml
%doc %{_datadir}/gnome/help/ggv
%{_datadir}/locale/*/*/*
%{_datadir}/applications/ggv.desktop
%{_datadir}/pixmaps/*
%{_libexecdir}/ggv-postscript-viewer

%changelog
* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-1m)
- version 2.8.1
- GNOME 2.8 Desktop
- remove patch ggv-2.6.0-accel-key.patch
- add patch ggv-2.8.1-accel-key.patch

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1
- GNOME 2.6 Desktop
- adjustment BuildPreReq
- remove patch1, add patch2

* Sat Nov  1 2003 Shotaro Kamio <skamio@momonga-linux.org>
- (2.4.0.2-3m)
- implement accel keys in document area

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (2.4.0.2-2m)
- append %%preun script.
- cancel scrollkeeper-update in make install.
- pretty spec file.

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.0.2-1m)
- version 2.4.0.2

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.0.1-1m)
- version 2.4.0.1

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.99-1m)
- version 2.3.99

* Tue Jul 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.2-1m)
- version 2.3.2

* Mon Jun 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.1-1m)
- version 2.3.1

* Thu Jun 05 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.0-1m)
- version 2.3.0

* Tue Apr 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.98-3m)
- rebuild against for XFree86-4.3.0

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.99.98-2m)
  rebuild against openssl 0.9.7a

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.98-1m)
- version 1.99.98

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.97-1m)
- version 1.99.97

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.96-1m)
- version 1.99.96

* Sun Oct 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.95-1m)
- version 1.99.95

* Tue Oct 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.99.90-2m)
- [security] add gv-3.5.8-buffer.patch that fixes the
  following vulnerability.
    https://rhn.redhat.com/errata/RHSA-2002-207.html
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0838

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.90-1m)
- version 1.99.90

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.9-2m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Tue Jul 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.9-1m)
- version 1.99.9

* Wed Jul 24 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.8-2m)
- add BuildPrereq: libgnomeui-devel

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.8-1m)
- version 1.99.8

* Thu Jun 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.7-2k)
- version 1.99.7

* Mon Jun 03 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.6-2k)
- version 1.99.6

* Sun Jun 02 2002 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- (1.99.5-4k)
- BuildPreReq: ghostscript.

* Mon May 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.5-2k)
- version 1.99.5

* Thu May 09 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.4-2k)
- version 1.99.4

* Mon Apr 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.3-2k)
- version 1.99.3

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.2-2k)
- version 1.99.2

* Mon Mar 25 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.1-2k)
- version 1.99.1

* Mon Mar 11 2002 Shingo Akagaki <dora@kondara.org>
- (1.99.0-2k)
- version 1.99.0
- gnome2 env

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.0.2-16k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Feb 13 2002 Kenta MURATA <muraken2@nifty.com>
- (1.0.2-14k)
- correct PDF processing command line string and its prefs.

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.2-12k)
- automake autoconf 1.5

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (1.0.2-10k)
- move zh_CN.GB2312 => zh_CN

* Thu Oct 25 2001 Shingo Akagaki <dora@kondara.org>
- (1.0.2-2k)
- version 1.0.2

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (1.0.1-6k)
- rebuild against gettext 0.10.40.

* Sun Jul 29 2001 Toru Hoshina <toru@df-usa.com>
- add alphaev5 support.

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.0.1

* Wed Apr  3 2001 Shingo Akagaki <dora@kondara.org>
- version 1.0

* Tue Nov 06 2000 Shingo Akagaki <dora@kondara.org>
- currentry build without bonobo

* Sat May 13 2000 Shingo Akagaki <dora@kondara.org>
- version 0.95

* Mon Apr 10 2000 Shingo Akagaki <dora@kondara.org>
- kondara spec

* Fri Aug 27 1999 Karl Eichwalder <ke@suse.de>
- Added more %doc files
- Fixed the spelling of PostScript and the Source entry

* Sat Aug 21 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Actualized spec file

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
